namespace Fix
{
  /* @bug http://bugzilla.gnome.org/show_bug.cgi?id=559647 */
	[CCode (cname="GtkRecentData", cheader_filename = "gtk/gtk.h")]
  public struct GtkRecentData : Gtk.RecentData
  {
    public weak string display_name;
    public weak string description;
    public weak string mime_type;
    public weak string app_name;
    public weak string app_exec;
    [CCode (array_length = false)]
    public weak string[] groups;
    public bool is_private;
  }

  /* @bug https://bugzilla.gnome.org/show_bug.cgi?id=595925 */
	[CCode (cname="GMarkupParser")]
	public struct MarkupParser : GLib.MarkupParser
  {
		public weak GLib.MarkupParserStartElementFunc start_element;
		public weak GLib.MarkupParserEndElementFunc end_element;
		public weak GLib.MarkupParserTextFunc text;
		public weak GLib.MarkupParserPassthroughFunc passthrough;
		public weak GLib.MarkupParserErrorFunc error;
	}
}
